Dedicated IPs
List Dedicated IPs
List Dedicated Ips
GET
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
List Dedicated Ips
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"type": "<string>",
"asn": 123,
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"ip_addresses": [
{
"ip": "<string>",
"fcrdns_confirmed": false,
"healthy": true,
"rdns": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Path Parameters
Response
Dedicated IPs on this page
Hide child attributes
Hide child attributes
Dedicated IP UUID
Customer-visible dedicated IP name
Provisioning or lifecycle status
Dedicated IP allocation type
Autonomous system number for the allocation
ISO country code for the allocation
Creation timestamp
Public addresses in this allocation
Hide child attributes
Hide child attributes
Public IP address
Whether forward-confirmed reverse DNS passed
Current health state when available
Reverse DNS hostname when configured
Last update timestamp
Current one-based page number
Maximum items per page
Total matching dedicated IPs
Was this page helpful?
⌘I
List Dedicated Ips
